Weak::MD4 Class Reference

MD4 More...

Inheritance diagram for Weak::MD4:

## Static Public Member Functions

static void | InitState (HashWordType *state)
static void | Transform (word32 *digest, const word32 *data)
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, MD4 >
static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from IteratedHash< word32, LittleEndian, T_BlockSize >
static void | CorrectEndianess (HashWordType *out, const HashWordType *in, size_t byteCount)

## Additional Inherited Members

Public Types inherited from IteratedHash< word32, LittleEndian, T_BlockSize >
typedef LittleEndian | ByteOrderClass
typedef word32 | HashWordType
Public Types inherited from IteratedHashBase< word32, HashTransformation >
typedef word32 | HashWordType
Public Member Functions inherited from IteratedHashWithStaticTransform< word32, LittleEndian, 64, 16, MD4 >
unsigned int | DigestSize () const
| Provides the digest size of the hash. More...
Public Member Functions inherited from ClonableImpl< MD4, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, MD4 > >
Clonable * | Clone () const
Public Member Functions inherited from AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, MD4 >
std::string | AlgorithmName () const
Public Member Functions inherited from IteratedHash< word32, LittleEndian, T_BlockSize >
unsigned int | BlockSize () const
| Provides the block size of the compression function. More...
ByteOrder | GetByteOrder () const
Public Member Functions inherited from IteratedHashBase< word32, HashTransformation >
unsigned int | OptimalBlockSize () const
unsigned int | OptimalDataAlignment () const
void | Update (const byte *input, size_t length)
byte * | CreateUpdateSpace (size_t &size)
void | Restart ()
void | TruncatedFinal (byte *digest, size_t size)
Public Member Functions inherited from HashTransformation
HashTransformation & | Ref ()
| Provides a reference to this object. More...
virtual void | Final (byte *digest)
| Computes the hash of the current message. More...
virtual unsigned int | DigestSize () const =0
| Provides the digest size of the hash. More...
unsigned int | TagSize () const
| Provides the tag size of the hash. More...
virtual unsigned int | BlockSize () const
| Provides the block size of the compression function. More...
virtual unsigned int | OptimalBlockSize () const
| Provides the input block size most efficient for this hash. More...
virtual unsigned int | OptimalDataAlignment () const
| Provides input and output data alignment for optimal performance. More...
virtual void | CalculateDigest (byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message. More...
virtual bool | Verify (const byte *digest)
| Verifies the hash of the current message. More...
virtual bool | VerifyDigest (const byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message. More...
virtual void | CalculateTruncatedDigest (byte *digest, size_t digestSize, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message. More...
virtual bool | TruncatedVerify (const byte *digest, size_t digestLength)
| Verifies the hash of the current message. More...
virtual bool | VerifyTruncatedDigest (const byte *digest, size_t digestLength, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm. More...
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object. More...
Static Public Attributes inherited from IteratedHashWithStaticTransform< word32, LittleEndian, 64, 16, MD4 >
static const int | DIGESTSIZE
Static Public Attributes inherited from IteratedHash< word32, LittleEndian, T_BlockSize >
static const int | BLOCKSIZE

## Detailed Description

MD4

Warning
  MD4 is considered insecure, and should not be used unless you absolutely need it for compatibility.

Definition at line 13 of file md4.h.

The documentation for this class was generated from the following files:

- md4.h
- md4.cpp